Subject: Re: linux-next: manual merge of the net-next tree with the vfs tree

From: Al Viro <[email-masked]>
Date: Fri, 13 Mar 2015 16:37:07 +0000

On Fri, Mar 13, 2015 at 03:38:17PM +1100, Stephen Rothwell wrote:

> There is also a conflict with e9eab93cc2dc ("fs: don't allow to
> complete sync iocbs through aio_complete"), though it doesn't show up
> in the resolution since I I just used the next-next tree bits.  So a
> common branch containing that as well could be merged into both trees.

OK, for now I've done just that (vfs.git#iocb in never-rebase mode).
I still think that vfs.git#gadget ought to go into mainline; arguments
for the rest of #iocb are weaker and merging it into net-next would
suffice; as the matter of fact, I have pending stuff for net-next touching
the same area (further reduction of ->sendmsg()/->recvmsg() argument lists;
total_len is redundant); might as well deal with that when feeding that
to Dave...